org.apache.wml

## Interface WMLDoElement

- All Superinterfaces:
    org.w3c.dom.Element, org.w3c.dom.Node, WMLElement
  All Known Implementing Classes:
    WMLDoElementImpl

      public interface WMLDoElement
      extends WMLElement

  The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

  Version:
    $Id: WMLDoElement.java 447258 2006-09-18 05:41:23Z mrglavas $
  Author:
    David Li

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getOptional()`
    `java.lang.String` | `getType()`
    `java.lang.String` | `getXmlLang()`
    `void` | `setLabel(java.lang.String newValue)`
    `void` | `setName(java.lang.String newValue)`
    `void` | `setOptional(java.lang.String newValue)`
    `void` | `setType(java.lang.String newValue)`
    `void` | `setXmlLang(java.lang.String newValue)` The xml:lang that specifics the natural or formal language in which the document is written.

    - ### Methods inherited from interface org.apache.wml.WMLElement

      `getClassName, getId, setClassName, setId`

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### setOptional

          void setOptional(java.lang.String newValue)

    - #### getOptional

          java.lang.String getOptional()

    - #### setLabel

          void setLabel(java.lang.String newValue)

    - #### getLabel

          java.lang.String getLabel()

    - #### setType

          void setType(java.lang.String newValue)

    - #### getType

          java.lang.String getType()

    - #### setName

          void setName(java.lang.String newValue)

    - #### getName

          java.lang.String getName()

    - #### setXmlLang

          void setXmlLang(java.lang.String newValue)

      The xml:lang that specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

    - #### getXmlLang

          java.lang.String getXmlLang()

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.